from evidently.base_metric import Metric
from evidently.base_metric import MetricResult
from evidently.pydantic_utils import register_type_alias

register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.class_balance_metric.ClassificationClassBalance",
    "evidently:metric:ClassificationClassBalance",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.class_separation_metric.ClassificationClassSeparationPlot",
    "evidently:metric:ClassificationClassSeparationPlot",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.classification_dummy_metric.ClassificationDummyMetric",
    "evidently:metric:ClassificationDummyMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.classification_quality_metric.ClassificationQualityMetric",
    "evidently:metric:ClassificationQualityMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.confusion_matrix_metric.ClassificationConfusionMatrix",
    "evidently:metric:ClassificationConfusionMatrix",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.lift_curve_metric.ClassificationLiftCurve",
    "evidently:metric:ClassificationLiftCurve",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.lift_table_metric.ClassificationLiftTable",
    "evidently:metric:ClassificationLiftTable",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.pr_curve_metric.ClassificationPRCurve",
    "evidently:metric:ClassificationPRCurve",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.pr_table_metric.ClassificationPRTable",
    "evidently:metric:ClassificationPRTable",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.probability_distribution_metric.ClassificationProbDistribution",
    "evidently:metric:ClassificationProbDistribution",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.quality_by_class_metric.ClassificationQualityByClass",
    "evidently:metric:ClassificationQualityByClass",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.quality_by_feature_table.ClassificationQualityByFeatureTable",
    "evidently:metric:ClassificationQualityByFeatureTable",
)
register_type_alias(
    Metric,
    "evidently.metrics.classification_performance.roc_curve_metric.ClassificationRocCurve",
    "evidently:metric:ClassificationRocCurve",
)
register_type_alias(Metric, "evidently.metrics.custom_metric.CustomValueMetric", "evidently:metric:CustomValueMetric")
register_type_alias(
    Metric, "evidently.metrics.data_drift.column_drift_metric.ColumnDriftMetric", "evidently:metric:ColumnDriftMetric"
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.column_interaction_plot.ColumnInteractionPlot",
    "evidently:metric:ColumnInteractionPlot",
)
register_type_alias(
    Metric, "evidently.metrics.data_drift.column_value_plot.ColumnValuePlot", "evidently:metric:ColumnValuePlot"
)
register_type_alias(
    Metric, "evidently.metrics.data_drift.data_drift_table.DataDriftTable", "evidently:metric:DataDriftTable"
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.dataset_drift_metric.DatasetDriftMetric",
    "evidently:metric:DatasetDriftMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.embeddings_drift.EmbeddingsDriftMetric",
    "evidently:metric:EmbeddingsDriftMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.feature_importance.FeatureImportanceMetric",
    "evidently:metric:FeatureImportanceMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.target_by_features_table.TargetByFeaturesTable",
    "evidently:metric:TargetByFeaturesTable",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.text_descriptors_drift_metric.TextDescriptorsDriftMetric",
    "evidently:metric:TextDescriptorsDriftMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_drift.text_domain_classifier_drift_metric.TextDomainClassifierDriftMetric",
    "evidently:metric:TextDomainClassifierDriftMetric",
)
register_type_alias(Metric, "evidently.metrics.data_drift.text_metric.Comment", "evidently:metric:Comment")
register_type_alias(
    Metric,
    "evidently.metrics.data_integrity.column_missing_values_metric.ColumnMissingValuesMetric",
    "evidently:metric:ColumnMissingValuesMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_integrity.column_regexp_metric.ColumnRegExpMetric",
    "evidently:metric:ColumnRegExpMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_integrity.column_summary_metric.ColumnSummaryMetric",
    "evidently:metric:ColumnSummaryMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_integrity.dataset_missing_values_metric.DatasetMissingValuesMetric",
    "evidently:metric:DatasetMissingValuesMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_integrity.dataset_summary_metric.DatasetSummaryMetric",
    "evidently:metric:DatasetSummaryMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_category_metric.ColumnCategoryMetric",
    "evidently:metric:ColumnCategoryMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_correlations_metric.ColumnCorrelationsMetric",
    "evidently:metric:ColumnCorrelationsMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_distribution_metric.ColumnDistributionMetric",
    "evidently:metric:ColumnDistributionMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_quantile_metric.ColumnQuantileMetric",
    "evidently:metric:ColumnQuantileMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_value_list_metric.ColumnValueListMetric",
    "evidently:metric:ColumnValueListMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.column_value_range_metric.ColumnValueRangeMetric",
    "evidently:metric:ColumnValueRangeMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.conflict_prediction_metric.ConflictPredictionMetric",
    "evidently:metric:ConflictPredictionMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.conflict_target_metric.ConflictTargetMetric",
    "evidently:metric:ConflictTargetMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.dataset_correlations_metric.DatasetCorrelationsMetric",
    "evidently:metric:DatasetCorrelationsMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.stability_metric.DataQualityStabilityMetric",
    "evidently:metric:DataQualityStabilityMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.text_descriptors_correlation_metric.TextDescriptorsCorrelationMetric",
    "evidently:metric:TextDescriptorsCorrelationMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.data_quality.text_descriptors_distribution.TextDescriptorsDistribution",
    "evidently:metric:TextDescriptorsDistribution",
)
register_type_alias(Metric, "evidently.metrics.recsys.diversity.DiversityMetric", "evidently:metric:DiversityMetric")
register_type_alias(Metric, "evidently.metrics.recsys.f_beta_top_k.FBetaTopKMetric", "evidently:metric:FBetaTopKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.hit_rate_k.HitRateKMetric", "evidently:metric:HitRateKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.item_bias.ItemBiasMetric", "evidently:metric:ItemBiasMetric")
register_type_alias(Metric, "evidently.metrics.recsys.map_k.MAPKMetric", "evidently:metric:MAPKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.mar_k.MARKMetric", "evidently:metric:MARKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.mrr.MRRKMetric", "evidently:metric:MRRKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.ndcg_k.NDCGKMetric", "evidently:metric:NDCGKMetric")
register_type_alias(Metric, "evidently.metrics.recsys.novelty.NoveltyMetric", "evidently:metric:NoveltyMetric")
register_type_alias(
    Metric, "evidently.metrics.recsys.pairwise_distance.PairwiseDistance", "evidently:metric:PairwiseDistance"
)
register_type_alias(
    Metric, "evidently.metrics.recsys.personalisation.PersonalizationMetric", "evidently:metric:PersonalizationMetric"
)
register_type_alias(
    Metric, "evidently.metrics.recsys.popularity_bias.PopularityBias", "evidently:metric:PopularityBias"
)
register_type_alias(
    Metric,
    "evidently.metrics.recsys.precision_recall_k.PrecisionRecallCalculation",
    "evidently:metric:PrecisionRecallCalculation",
)
register_type_alias(
    Metric, "evidently.metrics.recsys.precision_top_k.PrecisionTopKMetric", "evidently:metric:PrecisionTopKMetric"
)
register_type_alias(Metric, "evidently.metrics.recsys.rec_examples.RecCasesTable", "evidently:metric:RecCasesTable")
register_type_alias(
    Metric, "evidently.metrics.recsys.recall_top_k.RecallTopKMetric", "evidently:metric:RecallTopKMetric"
)
register_type_alias(
    Metric, "evidently.metrics.recsys.scores_distribution.ScoreDistribution", "evidently:metric:ScoreDistribution"
)
register_type_alias(
    Metric, "evidently.metrics.recsys.serendipity.SerendipityMetric", "evidently:metric:SerendipityMetric"
)
register_type_alias(Metric, "evidently.metrics.recsys.train_stats.TrainStats", "evidently:metric:TrainStats")
register_type_alias(Metric, "evidently.metrics.recsys.user_bias.UserBiasMetric", "evidently:metric:UserBiasMetric")
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.abs_perc_error_in_time.RegressionAbsPercentageErrorPlot",
    "evidently:metric:RegressionAbsPercentageErrorPlot",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.error_bias_table.RegressionErrorBiasTable",
    "evidently:metric:RegressionErrorBiasTable",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.error_distribution.RegressionErrorDistribution",
    "evidently:metric:RegressionErrorDistribution",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.error_in_time.RegressionErrorPlot",
    "evidently:metric:RegressionErrorPlot",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.error_normality.RegressionErrorNormality",
    "evidently:metric:RegressionErrorNormality",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.predicted_and_actual_in_time.RegressionPredictedVsActualPlot",
    "evidently:metric:RegressionPredictedVsActualPlot",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.predicted_vs_actual.RegressionPredictedVsActualScatter",
    "evidently:metric:RegressionPredictedVsActualScatter",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.regression_dummy_metric.RegressionDummyMetric",
    "evidently:metric:RegressionDummyMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.regression_performance_metrics.RegressionPerformanceMetrics",
    "evidently:metric:RegressionPerformanceMetrics",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.regression_quality.RegressionQualityMetric",
    "evidently:metric:RegressionQualityMetric",
)
register_type_alias(
    Metric,
    "evidently.metrics.regression_performance.top_error.RegressionTopErrorMetric",
    "evidently:metric:RegressionTopErrorMetric",
)


register_type_alias(
    MetricResult, "evidently.base_metric.ColumnMetricResult", "evidently:metric_result:ColumnMetricResult"
)
register_type_alias(MetricResult, "evidently.base_metric.MetricResult", "evidently:metric_result:MetricResult")
register_type_alias(
    MetricResult,
    "evidently.calculations.data_drift.ColumnDataDriftMetrics",
    "evidently:metric_result:ColumnDataDriftMetrics",
)
register_type_alias(
    MetricResult, "evidently.calculations.data_drift.DatasetDriftMetrics", "evidently:metric_result:DatasetDriftMetrics"
)
register_type_alias(
    MetricResult, "evidently.calculations.data_drift.DriftStatsField", "evidently:metric_result:DriftStatsField"
)
register_type_alias(MetricResult, "evidently.metric_results.Boxes", "evidently:metric_result:Boxes")
register_type_alias(
    MetricResult, "evidently.metric_results.ColumnAggScatterResult", "evidently:metric_result:ColumnAggScatterResult"
)
register_type_alias(
    MetricResult, "evidently.metric_results.ColumnCorrelations", "evidently:metric_result:ColumnCorrelations"
)
register_type_alias(
    MetricResult, "evidently.metric_results.ColumnScatterResult", "evidently:metric_result:ColumnScatterResult"
)
register_type_alias(MetricResult, "evidently.metric_results.ConfusionMatrix", "evidently:metric_result:ConfusionMatrix")
register_type_alias(
    MetricResult,
    "evidently.metric_results.DatasetClassificationQuality",
    "evidently:metric_result:DatasetClassificationQuality",
)
register_type_alias(MetricResult, "evidently.metric_results.DatasetColumns", "evidently:metric_result:DatasetColumns")
register_type_alias(
    MetricResult, "evidently.metric_results.DatasetUtilityColumns", "evidently:metric_result:DatasetUtilityColumns"
)
register_type_alias(MetricResult, "evidently.metric_results.Distribution", "evidently:metric_result:Distribution")
register_type_alias(
    MetricResult, "evidently.metric_results.DistributionIncluded", "evidently:metric_result:DistributionIncluded"
)
register_type_alias(MetricResult, "evidently.metric_results.Histogram", "evidently:metric_result:Histogram")
register_type_alias(MetricResult, "evidently.metric_results.HistogramData", "evidently:metric_result:HistogramData")
register_type_alias(MetricResult, "evidently.metric_results.LiftCurveData", "evidently:metric_result:LiftCurveData")
register_type_alias(MetricResult, "evidently.metric_results.PRCurveData", "evidently:metric_result:PRCurveData")
register_type_alias(MetricResult, "evidently.metric_results.PredictionData", "evidently:metric_result:PredictionData")
register_type_alias(MetricResult, "evidently.metric_results.ROCCurveData", "evidently:metric_result:ROCCurveData")
register_type_alias(MetricResult, "evidently.metric_results.RatesPlotData", "evidently:metric_result:RatesPlotData")
register_type_alias(MetricResult, "evidently.metric_results.ScatterAggField", "evidently:metric_result:ScatterAggField")
register_type_alias(MetricResult, "evidently.metric_results.ScatterField", "evidently:metric_result:ScatterField")
register_type_alias(MetricResult, "evidently.metric_results.StatsByFeature", "evidently:metric_result:StatsByFeature")
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.class_balance_metric.ClassificationClassBalanceResult",
    "evidently:metric_result:ClassificationClassBalanceResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.class_separation_metric.ClassificationClassSeparationPlotResults",
    "evidently:metric_result:ClassificationClassSeparationPlotResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.classification_dummy_metric.ClassificationDummyMetricResults",
    "evidently:metric_result:ClassificationDummyMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.classification_quality_metric.ClassificationQualityMetricResult",
    "evidently:metric_result:ClassificationQualityMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.confusion_matrix_metric.ClassificationConfusionMatrixResult",
    "evidently:metric_result:ClassificationConfusionMatrixResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.lift_curve_metric.ClassificationLiftCurveResults",
    "evidently:metric_result:ClassificationLiftCurveResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.lift_table_metric.ClassificationLiftTableResults",
    "evidently:metric_result:ClassificationLiftTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.objects.ClassMetric",
    "evidently:metric_result:ClassMetric",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.objects.ClassificationReport",
    "evidently:metric_result:ClassificationReport",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.pr_curve_metric.ClassificationPRCurveResults",
    "evidently:metric_result:ClassificationPRCurveResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.pr_table_metric.ClassificationPRTableResults",
    "evidently:metric_result:ClassificationPRTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.probability_distribution_metric.ClassificationProbDistributionResults",
    "evidently:metric_result:ClassificationProbDistributionResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.quality_by_class_metric.ClassificationQuality",
    "evidently:metric_result:ClassificationQuality",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.quality_by_class_metric.ClassificationQualityByClassResult",
    "evidently:metric_result:ClassificationQualityByClassResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.quality_by_feature_table.ClassificationQualityByFeatureTableResults",
    "evidently:metric_result:ClassificationQualityByFeatureTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.classification_performance.roc_curve_metric.ClassificationRocCurveResults",
    "evidently:metric_result:ClassificationRocCurveResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.custom_metric.CustomCallableMetricResult",
    "evidently:metric_result:CustomCallableMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.column_interaction_plot.ColumnInteractionPlotResults",
    "evidently:metric_result:ColumnInteractionPlotResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.column_value_plot.ColumnValuePlotResults",
    "evidently:metric_result:ColumnValuePlotResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.data_drift_table.DataDriftTableResults",
    "evidently:metric_result:DataDriftTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.dataset_drift_metric.DatasetDriftMetricResults",
    "evidently:metric_result:DatasetDriftMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.embeddings_drift.EmbeddingsDriftMetricResults",
    "evidently:metric_result:EmbeddingsDriftMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.feature_importance.FeatureImportanceMetricResult",
    "evidently:metric_result:FeatureImportanceMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.target_by_features_table.TargetByFeaturesTableResults",
    "evidently:metric_result:TargetByFeaturesTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.text_descriptors_drift_metric.TextDescriptorsDriftMetricResults",
    "evidently:metric_result:TextDescriptorsDriftMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.text_domain_classifier_drift_metric.TextDomainClassifierDriftResult",
    "evidently:metric_result:TextDomainClassifierDriftResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_drift.text_domain_classifier_drift_metric.TextDomainField",
    "evidently:metric_result:TextDomainField",
)
register_type_alias(
    MetricResult, "evidently.metrics.data_drift.text_metric.CommentResults", "evidently:metric_result:CommentResults"
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_missing_values_metric.ColumnMissingValues",
    "evidently:metric_result:ColumnMissingValues",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_missing_values_metric.ColumnMissingValuesMetricResult",
    "evidently:metric_result:ColumnMissingValuesMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_regexp_metric.DataIntegrityValueByRegexpMetricResult",
    "evidently:metric_result:DataIntegrityValueByRegexpMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_regexp_metric.DataIntegrityValueByRegexpStat",
    "evidently:metric_result:DataIntegrityValueByRegexpStat",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.CategoricalCharacteristics",
    "evidently:metric_result:CategoricalCharacteristics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.ColumnCharacteristics",
    "evidently:metric_result:ColumnCharacteristics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.ColumnSummaryResult",
    "evidently:metric_result:ColumnSummaryResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.DataByTarget",
    "evidently:metric_result:DataByTarget",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.DataInTime",
    "evidently:metric_result:DataInTime",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.DataInTimePlots",
    "evidently:metric_result:DataInTimePlots",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.DataQualityPlot",
    "evidently:metric_result:DataQualityPlot",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.DatetimeCharacteristics",
    "evidently:metric_result:DatetimeCharacteristics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.NumericCharacteristics",
    "evidently:metric_result:NumericCharacteristics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.column_summary_metric.TextCharacteristics",
    "evidently:metric_result:TextCharacteristics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.dataset_missing_values_metric.DatasetMissingValues",
    "evidently:metric_result:DatasetMissingValues",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.dataset_missing_values_metric.DatasetMissingValuesMetricResult",
    "evidently:metric_result:DatasetMissingValuesMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.dataset_summary_metric.DatasetSummary",
    "evidently:metric_result:DatasetSummary",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_integrity.dataset_summary_metric.DatasetSummaryMetricResult",
    "evidently:metric_result:DatasetSummaryMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_category_metric.CategoryStat",
    "evidently:metric_result:CategoryStat",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_category_metric.ColumnCategoryMetricResult",
    "evidently:metric_result:ColumnCategoryMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_category_metric.CountOfValues",
    "evidently:metric_result:CountOfValues",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_correlations_metric.ColumnCorrelationsMetricResult",
    "evidently:metric_result:ColumnCorrelationsMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_distribution_metric.ColumnDistributionMetricResult",
    "evidently:metric_result:ColumnDistributionMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_quantile_metric.ColumnQuantileMetricResult",
    "evidently:metric_result:ColumnQuantileMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_quantile_metric.QuantileStats",
    "evidently:metric_result:QuantileStats",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_value_list_metric.ColumnValueListMetricResult",
    "evidently:metric_result:ColumnValueListMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_value_list_metric.ValueListStat",
    "evidently:metric_result:ValueListStat",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_value_range_metric.ColumnValueRangeMetricResult",
    "evidently:metric_result:ColumnValueRangeMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.column_value_range_metric.ValuesInRangeStat",
    "evidently:metric_result:ValuesInRangeStat",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.conflict_prediction_metric.ConflictPredictionData",
    "evidently:metric_result:ConflictPredictionData",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.conflict_prediction_metric.ConflictPredictionMetricResults",
    "evidently:metric_result:ConflictPredictionMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.conflict_target_metric.ConflictTargetMetricResults",
    "evidently:metric_result:ConflictTargetMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.dataset_correlations_metric.CorrelationStats",
    "evidently:metric_result:CorrelationStats",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.dataset_correlations_metric.DatasetCorrelation",
    "evidently:metric_result:DatasetCorrelation",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.dataset_correlations_metric.DatasetCorrelationsMetricResult",
    "evidently:metric_result:DatasetCorrelationsMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.stability_metric.DataQualityStabilityMetricResult",
    "evidently:metric_result:DataQualityStabilityMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.text_descriptors_correlation_metric.TextDescriptorsCorrelationMetricResult",
    "evidently:metric_result:TextDescriptorsCorrelationMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.data_quality.text_descriptors_distribution.TextDescriptorsDistributionResult",
    "evidently:metric_result:TextDescriptorsDistributionResult",
)
register_type_alias(
    MetricResult, "evidently.metrics.recsys.base_top_k.TopKMetricResult", "evidently:metric_result:TopKMetricResult"
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.diversity.DiversityMetricResult",
    "evidently:metric_result:DiversityMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.hit_rate_k.HitRateKMetricResult",
    "evidently:metric_result:HitRateKMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.item_bias.ItemBiasMetricResult",
    "evidently:metric_result:ItemBiasMetricResult",
)
register_type_alias(
    MetricResult, "evidently.metrics.recsys.mrr.MRRKMetricResult", "evidently:metric_result:MRRKMetricResult"
)
register_type_alias(
    MetricResult, "evidently.metrics.recsys.novelty.NoveltyMetricResult", "evidently:metric_result:NoveltyMetricResult"
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.pairwise_distance.PairwiseDistanceResult",
    "evidently:metric_result:PairwiseDistanceResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.personalisation.PersonalizationMetricResult",
    "evidently:metric_result:PersonalizationMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.popularity_bias.PopularityBiasResult",
    "evidently:metric_result:PopularityBiasResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.precision_recall_k.PrecisionRecallCalculationResult",
    "evidently:metric_result:PrecisionRecallCalculationResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.rec_examples.RecCasesTableResults",
    "evidently:metric_result:RecCasesTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.scores_distribution.ScoreDistributionResult",
    "evidently:metric_result:ScoreDistributionResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.serendipity.SerendipityMetricResult",
    "evidently:metric_result:SerendipityMetricResult",
)
register_type_alias(
    MetricResult, "evidently.metrics.recsys.train_stats.TrainStatsResult", "evidently:metric_result:TrainStatsResult"
)
register_type_alias(
    MetricResult,
    "evidently.metrics.recsys.user_bias.UserBiasMetricResult",
    "evidently:metric_result:UserBiasMetricResult",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.error_bias_table.RegressionErrorBiasTableResults",
    "evidently:metric_result:RegressionErrorBiasTableResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.error_distribution.RegressionErrorDistributionResults",
    "evidently:metric_result:RegressionErrorDistributionResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.error_normality.RegressionErrorNormalityResults",
    "evidently:metric_result:RegressionErrorNormalityResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.objects.IntervalSeries",
    "evidently:metric_result:IntervalSeries",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.objects.PredActualScatter",
    "evidently:metric_result:PredActualScatter",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.objects.RegressionMetricScatter",
    "evidently:metric_result:RegressionMetricScatter",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.objects.RegressionMetricsScatter",
    "evidently:metric_result:RegressionMetricsScatter",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.objects.RegressionScatter",
    "evidently:metric_result:RegressionScatter",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.predicted_vs_actual.AggPredActualScatter",
    "evidently:metric_result:AggPredActualScatter",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.predicted_vs_actual.RegressionPredictedVsActualScatterResults",
    "evidently:metric_result:RegressionPredictedVsActualScatterResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.regression_dummy_metric.RegressionDummyMetricResults",
    "evidently:metric_result:RegressionDummyMetricResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.regression_performance_metrics.RegressionMetrics",
    "evidently:metric_result:RegressionMetrics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.regression_performance_metrics.RegressionPerformanceMetricsResults",
    "evidently:metric_result:RegressionPerformanceMetricsResults",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.regression_quality.MoreRegressionMetrics",
    "evidently:metric_result:MoreRegressionMetrics",
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.regression_quality.RegressionQualityMetricResults",
    "evidently:metric_result:RegressionQualityMetricResults",
)
register_type_alias(
    MetricResult, "evidently.metrics.regression_performance.top_error.AggTopData", "evidently:metric_result:AggTopData"
)
register_type_alias(
    MetricResult,
    "evidently.metrics.regression_performance.top_error.RegressionTopErrorMetricResults",
    "evidently:metric_result:RegressionTopErrorMetricResults",
)
register_type_alias(
    MetricResult, "evidently.metrics.regression_performance.top_error.TopData", "evidently:metric_result:TopData"
)
register_type_alias(MetricResult, "evidently.tests.base_test.TestResult", "evidently:metric_result:TestResult")


register_type_alias(Metric, "evidently.future.backport.MetricV2Adapter", "evidently:metric:MetricV2Adapter")
register_type_alias(Metric, "evidently.future.backport.MetricV2PresetAdapter", "evidently:metric:MetricV2PresetAdapter")
register_type_alias(
    MetricResult, "evidently.future.backport.MetricResultV2Adapter", "evidently:metric_result:MetricResultV2Adapter"
)
register_type_alias(MetricResult, "evidently.future.backport.SingleValueV1", "evidently:metric_result:SingleValueV1")

register_type_alias(MetricResult, "evidently.future.backport.ByLabelValueV1", "evidently:metric_result:ByLabelValueV1")

register_type_alias(MetricResult, "evidently.future.backport.CountValueV1", "evidently:metric_result:CountValueV1")

register_type_alias(
    MetricResult, "evidently.future.backport.PresetMetricValueV1", "evidently:metric_result:PresetMetricValueV1"
)

register_type_alias(MetricResult, "evidently.future.backport.MeanStdValueV1", "evidently:metric_result:MeanStdValueV1")

register_type_alias(
    MetricResult, "evidently.future.backport.ByLabelCountValueV1", "evidently:metric_result:ByLabelCountValueV1"
)
